class Constant:
    NO_GOAL = None
    PAUSE_GOAL = -1
    ACTION_STATE_IDLE = 0
    ACTION_STATE_MOVE = 1
    ACTION_STATE_EXPLORE = 2
    ACTION_STATE_PICK = 3
    ACTION_STATE_FIND = 4
    ACTION_STATE_FORCEIDLE = 5
    MOVE_STATE_IDLE = 0
    MOVE_STATE_MOVE = 1
    MOVE_STATE_PAUSE = 2
    ACTION_ID_ONGOING = 0
    ACTION_ID_SUCCESS = 1
    ACTION_ID_FAIL = 2
    ACTION_ID_FIND = 3
    TASK_TYPE_EXPLORE = 1
    TASK_TYPE_PICK = 2
    TASK_TYPE_FIND = 3
    TASK_TYPE_MOVE = 4
    ROB_TYPE_SMALL = 0
    ROB_TYPE_SMALL_BROAD = 1
    ROB_TYPE_LARGE_NOARM = 2
    ROB_TYPE_LARGE = 3
    ROB_TYPE_LARGE_HEAVY = 4
    BLOCK_LIGHT = 0
    BLOCK_HEAVY = 1
    DEG2RAD = 3.141592653589 / 180.0

